{% extends 'base.html.twig' %}

{% block title %}lISTE ANNEE UNIVERSITAIRE {% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_annee" url="{{ path('annee_new') }}"><span
                        class="glyphicon glyphicon-plus"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Annees Universitaires </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Libelle Année</th>
                    <th>Action</th>


                </tr>
                </thead>
                <tbody>
                {% for annee in annees %}
                    <tr>

                        <td>{{ annee.libelleannee }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_annee"
                                                url="{{ path('annee_show', {'id': annee.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign"></span></button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_annee"
                                                url="{{ path('annee_edit', {'id':annee.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>   {{ include('annee_universitaire/_delete_form.html.twig') }}
                                </li>
                            </ul>
                        </td>

                    </tr>
                {% else %}
                    <tr>
                        <td colspan="3">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <div align='center' class="navigation">
        {{ knp_pagination_render(annees) }}
    </div>
    {#fenetre modale #}

    <div class="modal fade" id="modalAnnee" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h4 class="modal-title w-100 font-weight-bold titre_modal_annee"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                    </div>
                    <div class="content_modal_body">
                    </div>
                </div>
                <div class="modal-footer">

                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_annee', function (event) {
            $('#modalAnnee').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_annee').html('Ajouter nouvelle année');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_annee', function (event) {
            $('#modalAnnee').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_annee').html('Modifier année');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_annee', function (event) {
            $('#modalAnnee').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_annee').html('Info année');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_annee', function (event) {
            var name_annee = $(this).attr('name_annee');
            var id_annee = $(this).attr('id_annee');
            $('#modalAnnee').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_annee').html('Supprimer Année');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la annee: <b>' + name_annee + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_annee" onclick="confirmer_delete_annee(' + id_annee + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_annee(id_annee) {
            $('#form_delete_annee_' + id_annee).submit();
        }

        $('body').on('click', '.save_annee', function (event) {

            var form = $('#form_add_annee');
            var formData = new FormData(document.getElementById("form_add_annee"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_annee').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalAnnee').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_annee', function (event) {

            var form = $('#form_add_annee');
            var formData = new FormData(document.getElementById("form_add_annee"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_annee').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalAnnee').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_annee(name_annee) {
            $('#modalAnnee').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_annee').html('Supprimer Année');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer année: ' + name_annee);
            return false;
        }
    </script>

{% endblock %}
